/*------------------------- MENUCONV.H -------------------------*/
/*								*/
/*  This file contains the menu procedure naming changes from	*/
/* revisions 1.0 to 1.2 names.	Between these revisions all	*/
/* externally callable routine names were changed to reflect	*/
/* the library module in which they were contained.  For	*/
/* example all menu module routines begin with "Menu_", and     */
/* contain no other underbar characters.  To avoid modifying	*/
/* code using revision 1.0 naming, include this file and	*/
/* recompile the code calling the revision 1.2 VISIONS library. */
/* Some routines may still require different parameters!        */
/*								*/
/*	    Copyright 1990 Dan Vogel & David Bernazzani		*/
/*								*/
/*   Date	Initials	Comments			*/
/*								*/
/*  07/23/90	DCV		Initial Release 1.20.		*/
/*--------------------------------------------------------------*/

#define AddToMenu	  Menu_Add
#define AutoDisplayMenu   Menu_AutoDisplay
#define DefineMenu	  Menu_Define
#define DeleteMenu	  Menu_Delete
#define DisplayMenu	  Menu_Display
#define DoFileMenu	  Menu_DoFile
