/*------------------------- USERWIND.H -------------------------*/
/*								*/
/*  This file contains definitions used for the window library	*/
/*  that are needed by the user of the library.			*/
/*								*/
/*         Copyright 1990 Dan Vogel & David Bernazzani		*/
/*								*/
/*								*/
/*		Revision History				*/
/*								*/
/*  03/20/90   DCV	Release.				*/
/*								*/
/*--------------------------------------------------------------*/


#ifndef SHARWIND_H              /* Prevent re-including this file! */
#ifndef USERWIND_H              /* Prevent re-including this file! */

#define USERWIND_H    1

		/*  Include Files  */
#include "VIS.H"                /* Common definitions */

#include "SHARWIND.H"		/* Needed include files. */


typedef UBYTE WINDOW_HEAD;



		/* Library Routine Type Definitions */

IMPORT	WORD  Window_Define(WINDOW_HEAD * *new_wind,UBYTE topy,UBYTE leftx,UBYTE height,UBYTE width,DWORD bkcol,DWORD txtcol,TEXT *title,BITS options);
IMPORT	WORD  Window_Delete(WINDOW_HEAD *window_ptr);
IMPORT	WORD  Window_Display(WINDOW_HEAD *window_ptr);
IMPORT  VOID  Window_DrawBox(UBYTE topy,UBYTE topx,UBYTE height,UBYTE width,BITS border);
IMPORT  VOID  Window_DrawTitle(UBYTE topy,UBYTE topx,UBYTE height,UBYTE width,BITS border,TEXT *title);
IMPORT	WORD  Window_Err(TEXT *msg);
IMPORT	VOID  Window_Exit(VOID);
IMPORT	WORD  Window_GetDefine(WINDOW_HEAD *windptr,UBYTE *topy,UBYTE *leftx,UBYTE *height,UBYTE *width,DWORD *bkcol,DWORD *txtcol,TEXT **title,BITS *options);
IMPORT	WORD  Window_Help(UBYTE row,UBYTE col,UBYTE height,UBYTE width,DWORD bkcol,DWORD txtcol,TEXT *title,TEXT *filename,BITS options);
IMPORT	VOID  Window_Init(VOID);
IMPORT	VOID  Window_Mesg(UBYTE row,UBYTE col,TEXT *message);
IMPORT	WORD  Window_MesgPtr(WINDOW_HEAD *window_ptr,UBYTE row,UBYTE col,TEXT *message);
IMPORT  WORD  Window_ModifyColors(WINDOW_HEAD *windptr,DWORD txtcol_mask,DWORD txtcol,DWORD bkcol_mask,DWORD bkcol);
IMPORT	WORD  Window_ReDefine(WINDOW_HEAD *windptr,UBYTE topy,UBYTE leftx,UBYTE height,UBYTE width,DWORD bkcol,DWORD txtcol,TEXT *title,BITS options);
IMPORT	WORD  Window_Remove(WINDOW_HEAD *window_ptr);
IMPORT	UBYTE Window_ScreenHeight(VOID);
IMPORT	UBYTE Window_ScreenWidth(VOID);
IMPORT	VOID  Window_Set(UBYTE row,UBYTE col,UBYTE height,UBYTE width,DWORD bkcol,DWORD txtcol);
IMPORT	WORD  Window_SetPtr(WINDOW_HEAD *window_ptr);
IMPORT	WORD  Window_SetScreenRows(UBYTE rows);

#endif
#endif
