/*------------------------- COMPCONV.H -------------------------*/
/*								*/
/*  This file contains the compiler specific procedure naming	*/
/* changes from revisions 1.0 to 1.2 names.  Between these	*/
/* revisions all externally callable routine names were changed */
/* to reflect the library module in which they were contained.	*/
/* For example all list module routines begin with "List_", and */
/* contain no other underbar characters.  To avoid modifying	*/
/* code using revision 1.0 naming, include this file and	*/
/* recompile the code calling the revision 1.2 VISIONS library. */
/* Some routines may still require different parameters!        */
/*								*/
/*	    Copyright 1990 Dan Vogel & David Bernazzani		*/
/*								*/
/*   Date	Initials	Comments			*/
/*								*/
/*  07/23/90	DCV		Initial Release 1.20.		*/
/*--------------------------------------------------------------*/

#define BiosKeyBrd	 Comp_BiosKeybrd
#define ClearScreen      Comp_ClearScreen
#define delay		 Comp_Delay
#define GetKey		 Comp_GetKey
#define GetOffset	 Comp_GetOffset
#define GetSegment	 Comp_GetSegment
#define Get_Vector	 Comp_GetVector
#define GetVideoMode	 Comp_GetVideoMode
#define GetVideoAdaptor  Comp_GetVideoAdaptor
#define hidecursor	 Comp_HideCursor
#define Interrupt86	 Comp_Interrupt86
#define Interrupt86ext	 Comp_Interrupt86ext
#define OutText 	 Comp_OutText
#define SetBkColor	 Comp_SetBkColor
#define SetTextColor	 Comp_SetTextColor
#define SetTextPosition  Comp_SetTextPosition
#define SetTextWindow	 Comp_SetTextWindow
#define SetVideoMode	 Comp_SetVideoMode
#define unhidecursor     Comp_UnhideCursor
#define WrapOn		 Comp_WrapOn

