/*------------------------- FORMCONV.H -------------------------*/
/*								*/
/*  This file contains the form procedure naming changes from	*/
/* revisions 1.0 to 1.2 names.	Between these revisions all	*/
/* externally callable routine names were changed to reflect	*/
/* the library module in which they were contained.  For	*/
/* example all form module routines begin with "Form_", and     */
/* contain no other underbar characters.  To avoid modifying	*/
/* code using revision 1.0 naming, include this file and	*/
/* recompile the code calling the revision 1.2 VISIONS library. */
/* Some routines may still require different parameters!        */
/*								*/
/*	    Copyright 1990 Dan Vogel & David Bernazzani		*/
/*								*/
/*   Date	Initials	Comments			*/
/*								*/
/*  07/23/90	DCV		Initial Release 1.20.		*/
/*--------------------------------------------------------------*/

#define AddToForm	  Form_Add
#define AddToPrompt	  Form_PromptAdd
#define AddToText	  Form_TextAdd
#define DefineForm	  Form_Define
#define DeleteForm	  Form_Delete
#define FormEntry	  Form_Entry
