/*------------------------- LISTCONV.H -------------------------*/
/*								*/
/*  This file contains the list procedure naming changes from	*/
/* revisions 1.0 to 1.2 names.	Between these revisions all	*/
/* externally callable routine names were changed to reflect	*/
/* the library module in which they were contained.  For	*/
/* example all list module routines begin with "List_", and     */
/* contain no other underbar characters.  To avoid modifying	*/
/* code using revision 1.0 naming, include this file and	*/
/* recompile the code calling the revision 1.2 VISIONS library. */
/* Some routines may still require different parameters!        */
/*								*/
/*	    Copyright 1990 Dan Vogel & David Bernazzani		*/
/*								*/
/*   Date	Initials	Comments			*/
/*								*/
/*  07/23/90	DCV		Initial Release 1.20.		*/
/*--------------------------------------------------------------*/

#define AddToList	 List_Add
#define AppendToList	 List_Append
#define CountList	 List_Count
#define DefineList	 List_Define
#define DeleteFromList	 List_DeleteItem
#define DeleteList	 List_Delete
#define DisplayList	 List_Display
#define DisplayListItem  List_DisplayItem
#define FindInList	 List_Find
#define GetListItem	 List_GetItem
#define ListBottom	 List_Bottom
#define ListLast	 List_Last
#define ListNext	 List_Next
#define ListNth 	 List_Nth
#define ListTop 	 List_Top
#define RemoveFromList	 List_RemoveItem
#define SortList	 List_Sort
